> For the complete documentation index, see [llms.txt](https://docs.blockin.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockin.ai/reference/api-reference/subscription/query-history-subscription-detail-v2.md).

# Query history subscription detail V2

## Description

* Description: Query history subscription detail
* Path: <https://api.blockin.ai/v2/subscribe/history/wallet/detail>
* Encoding: UTF-8
* Method: HTTPS POST

## Request Header

<table><thead><tr><th width="156">Paremeter</th><th width="91">Type</th><th width="117">Required</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type</td><td>String</td><td>Y</td><td>application/json</td></tr><tr><td>AccessKey</td><td>String</td><td>Y</td><td>AccessKey</td></tr></tbody></table>

## Request Parameters

<table><thead><tr><th width="165">Parameter</th><th width="123">Type</th><th width="98">Required</th><th>Description</th></tr></thead><tbody><tr><td>subscriber</td><td>String</td><td>Y</td><td>Subscriber</td></tr><tr><td>type</td><td>String</td><td>N</td><td>Type: USER ,TOKEN</td></tr><tr><td>address</td><td>String</td><td>N</td><td>Address</td></tr></tbody></table>

## Response

<table><thead><tr><th width="312">Parameter</th><th width="98">Type</th><th width="107">Required</th><th>Description</th></tr></thead><tbody><tr><td>success</td><td>Boolean</td><td>Y</td><td>Success Boolean</td></tr><tr><td>data</td><td>Object</td><td>N</td><td>Response data</td></tr><tr><td>error_code</td><td>String</td><td>N</td><td>Error code</td></tr><tr><td>error_msg</td><td>String</td><td>N</td><td>Error message</td></tr></tbody></table>

## Data Content

<table><thead><tr><th width="159">Parameter</th><th width="110">Type</th><th width="114">Required</th><th>Description</th></tr></thead><tbody><tr><td>subscriber</td><td>String</td><td>Y</td><td>Subscriber</td></tr><tr><td>address_list</td><td>List</td><td>Y</td><td>List of address configured</td></tr></tbody></table>

## Address\_list Content

<table><thead><tr><th width="165">Parameter</th><th width="123">Type</th><th width="98">Required</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td>String</td><td>Y</td><td>Type: USER , TOKEN</td></tr><tr><td>address</td><td>String</td><td>Y</td><td>Address</td></tr><tr><td>alias</td><td>String</td><td>N</td><td>Alias of address</td></tr><tr><td>chain_names</td><td>String</td><td>N</td><td>If it's not filled in means all chains. Multiple chains are separated by commas. eg: eth, bsc, arb.</td></tr><tr><td>value</td><td>String</td><td>N</td><td><p>Value type tier</p><p>1：v&#x3C;=1000u, </p><p>2：1000u&#x3C;v&#x3C;=10000u,</p><p>3： 10000u&#x3C;v&#x3C;100000u, </p><p>4：100000u&#x3C;v&#x3C;=1000000u</p><p>5：v>1000000u</p></td></tr><tr><td>token_list</td><td>List</td><td>N</td><td>Token is configurable when type is "USER"</td></tr><tr><td>protocol_list</td><td>List</td><td>N</td><td>List of protocol</td></tr><tr><td>start_dnd</td><td>String</td><td>N</td><td>Do not disturb time start (eg:20:00:00)</td></tr><tr><td>end_dnd</td><td>String</td><td>N</td><td>Do not disturb time end (eg: 08:00:00)</td></tr></tbody></table>

## Token\_list Content

<table><thead><tr><th width="165">Parameter</th><th width="123">Type</th><th width="98">Required</th><th>Description</th></tr></thead><tbody><tr><td>chain_name</td><td>String</td><td>Y</td><td>Chain name</td></tr><tr><td>token</td><td>String</td><td>Y</td><td>Token address</td></tr></tbody></table>

## Protocol\_list Content

<table><thead><tr><th width="165">Parameter</th><th width="123">Type</th><th width="98">Required</th><th>Description</th></tr></thead><tbody><tr><td>chain_name</td><td>String</td><td>Y</td><td>Chain name</td></tr><tr><td>protocol</td><td>String</td><td>Y</td><td><a href="/pages/MTXlA3q7WRJrYNGGKgEq">Protocol name</a></td></tr></tbody></table>

## Request and Response Sample

curl -H "Content-Type:application/json" -H "AccessKey:1bdb01c947c54919b64d1fc6794atest" -X POST "<https://api.blockin.ai/v2/subscribe/history/wallet/detail>" -d'{Request json}'

```
//query several addresses
Request json
{
   "subscriber": "0xdd3db40e569a28244790a9f58b59efc4efbbe937",
   "address_list": [
   {
       "type":"USER",
       "address":"0x0c14c154558ad0eb2f305bfa365426f6774894f4"
   },
   {
       "type":"TOKEN",
       "address":"0xe9e7cea3dedca5984780bafc599bd69add087d56"
   }
}

Return json

{
    "success": true,
    "error_code": null,
    "error_msg": null,
    "data": {
       "subscriber":"0xdd3db40e569a28244790a9f58b59efc4efbbe937",
       "address_list": [
           {
           "type":"USER",
           "address":"0x0c14c154558ad0eb2f305bfa365426f6774894f4",
           "alias":"nnn",
           "start_dnd":"20:00:00",
           "end_dnd":"08:00:00",
           "chain_names":"ETH,BSC",
           "value":"1",
           "token_list":[
                {
                "chain_name":"ETH",
            "token":"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
                }, {
                "chain_name":"ETH",
              "token":"0x2260fac5e5542a773aa44fbcfedf7c193bc2c599"
                }
            ],
            "protocol_list":[
                {
                "chain_name":"ETH",
                "protocol":"uniswap2"
                }, {
                "chain_name":"ETH",
                "protocol":"sushiswap"
                }
            ]
           },
           {
           "type":"TOKEN",
           "address":"0xe9e7cea3dedca5984780bafc599bd69add087d56",
           "alias":"ttt",
           "start_dnd":"08:00:00",
           "end_dnd":"09:00:00",
           "chain_names":"ETH,BSC",
           "value":"2",
           "protocol_list":[
                {
                "chain_name":"ETH",
                "protocol":"uniswap2"
                }, {
                "chain_name":"ETH",
                "protocol":"sushiswap"
                }
            ]
           }
       ]
    }
}


```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockin.ai/reference/api-reference/subscription/query-history-subscription-detail-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
